glib-0.13.12.0: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.StoreValue

Description

Synopsis

- data TMType
  - = TMinvalid
  - | TMuint
  - | TMint
  - | TMboolean
  - | TMenum
  - | TMflags
  - | TMfloat
  - | TMdouble
  - | TMstring
  - | TMobject
- data GenericValue
  - = GVuint Word
  - | GVint Int
  - | GVboolean Bool
  - | GVenum Int
  - | GVflags Int
  - | GVfloat Float
  - | GVdouble Double
  - | GVstring (Maybe Text)
  - | GVobject GObject
- valueSetGenericValue :: GValue -> GenericValue -> IO ()
- valueGetGenericValue :: GValue -> IO GenericValue

# Documentation

data TMType Source #

Constructors

TMinvalid |
TMuint |
TMint |
TMboolean |
TMenum |
TMflags |
TMfloat |
TMdouble |
TMstring |
TMobject |

#### Instances

Instances details

Enum TMType Source # |

Instance details

Defined in System.Glib.StoreValue

Methods

succ :: TMType -> TMType Source #

pred :: TMType -> TMType Source #

toEnum :: Int -> TMType Source #

fromEnum :: TMType -> Int Source #

enumFrom :: TMType -> [TMType] Source #

enumFromThen :: TMType -> TMType -> [TMType] Source #

enumFromTo :: TMType -> TMType -> [TMType] Source #

enumFromThenTo :: TMType -> TMType -> TMType -> [TMType] Source #

data GenericValue Source #

A union with information about the currently stored type.

- Internally used by Graphics.UI.Gtk.TreeList.TreeModel.

Constructors

GVuint Word |
GVint Int |
GVboolean Bool |
GVenum Int |
GVflags Int |
GVfloat Float |
GVdouble Double |
GVstring (Maybe Text) |
GVobject GObject |

valueSetGenericValue :: GValue -> GenericValue -> IO () Source #

valueGetGenericValue :: GValue -> IO GenericValue Source #